summaryrefslogtreecommitdiff
path: root/macros/latex/contrib/fithesis/test/mu/update-tests.sh
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /macros/latex/contrib/fithesis/test/mu/update-tests.sh
Initial commit
Diffstat (limited to 'macros/latex/contrib/fithesis/test/mu/update-tests.sh')
-rwxr-xr-xmacros/latex/contrib/fithesis/test/mu/update-tests.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/macros/latex/contrib/fithesis/test/mu/update-tests.sh b/macros/latex/contrib/fithesis/test/mu/update-tests.sh
new file mode 100755
index 0000000000..91b80db5f1
--- /dev/null
+++ b/macros/latex/contrib/fithesis/test/mu/update-tests.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+# Runs tests and updates any files that have changed.
+exec 3>&1
+(
+ set -e
+ make -C compare UPDATE_FAILED=true
+ make -C compare-example UPDATE_FAILED=true
+) 2>&1 1>&3 | grep -Ei 'error|does not contain page|differ in pages' >update-tests.log